## rust-prometheus 0.13.4

=== Makefile ===
.PHONY: all build test dev bench format clean examples gen_proto

ENABLE_FEATURES ?= default

all: format build test examples

build:
	cargo build --features="${ENABLE_FEATURES}"

test:
	cargo test --features="${ENABLE_FEATURES}" -- --nocapture

dev: format test

bench: format
	cargo bench --features=${ENABLE_FEATURES} -- --nocapture

format:
	@cargo fmt --all -- --check >/dev/null || cargo fmt --all

clean:
	cargo clean

examples:
	cargo build --example example_embed
	cargo build --example example_hyper
	cargo build --features="push" --example example_push
	cargo build --features="process" --example example_process_collector

gen_proto:
	@ which protoc >/dev/null || { echo "Please install protoc first"; exit 1; }
	@ which protoc-gen-rust >/dev/null || { echo "Please install protobuf rust plugin, cargo install protobuf"; exit 1; }
	protoc --rust_out proto proto/metrics.proto

## rust-prometheus 0.13.3

=== debian/changelog ===
rust-prometheus (0.13.3-2) unstable; urgency=medium

  * Team upload.
  * Package prometheus 0.13.3 from crates.io using debcargo 2.6.0
  * Skip test test_default_registry which seems to be flaky.

  [ Jelmer Vernooĳ ]
  * Drop feature "gen", which needs write access to the source tree.

 -- Peter Michael Green <plugwash@debian.org>  Sat, 14 Oct 2023 14:31:18 +0000

rust-prometheus (0.13.3-1) unstable; urgency=medium

  * Team upload.
  * Package prometheus 0.13.3 from crates.io using debcargo 2.6.0
  * Relax dev-dependency on criterion.

 -- Peter Michael Green <plugwash@debian.org>  Tue, 29 Nov 2022 12:16:05 +0000

rust-prometheus (0.13.0-2) unstable; urgency=medium

  * Team upload.
  * Source upload
  * Package prometheus 0.13.0 from crates.io using debcargo 2.5.0

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 21 May 2022 20:11:41 +0200

rust-prometheus (0.13.0-1) unstable; urgency=medium

  * Source upload
  * Package prometheus 0.13.0 from crates.io using debcargo 2.5.0

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 23 Apr 2022 18:32:54 +0100

=== debian/control ===
Source: rust-prometheus
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-cfg-if-1+default-dev <!nocheck>,
 librust-fnv-1+default-dev <!nocheck>,
 librust-lazy-static-1+default-dev (>= 1.4-~~) <!nocheck>,
 librust-memchr-2+default-dev (>= 2.3-~~) <!nocheck>,
 librust-parking-lot-0.12+default-dev <!nocheck>,
 librust-protobuf-2+default-dev <!nocheck>,
 librust-thiserror-1+default-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Jelmer Vernooĳ <jelmer@debian.org>
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/prometheus]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/prometheus
Homepage: https://github.com/tikv/rust-prometheus
X-Cargo-Crate: prometheus
Rules-Requires-Root: no

Package: librust-prometheus-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-cfg-if-1+default-dev,
 librust-fnv-1+default-dev,
 librust-lazy-static-1+default-dev (>= 1.4-~~),
 librust-memchr-2+default-dev (>= 2.3-~~),
 librust-parking-lot-0.12+default-dev,
 librust-thiserror-1+default-dev
Recommends:
 librust-prometheus+protobuf-dev (= ${binary:Version})
Suggests:
 librust-prometheus+libc-dev (= ${binary:Version}),
 librust-prometheus+process-dev (= ${binary:Version}),
 librust-prometheus+procfs-dev (= ${binary:Version}),
 librust-prometheus+push-dev (= ${binary:Version}),
 librust-prometheus+reqwest-dev (= ${binary:Version})
Provides:
 librust-prometheus-0-dev (= ${binary:Version}),
 librust-prometheus-0.13-dev (= ${binary:Version}),
 librust-prometheus-0.13.3-dev (= ${binary:Version})
Description: Prometheus instrumentation library for Rust applications - Rust source code
 This package contains the source for the Rust prometheus crate, packaged by
 debcargo for use with cargo and dh-cargo.

Package: librust-prometheus+libc-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-prometheus-dev (= ${binary:Version}),
 librust-libc-0.2+default-dev
Provides:
 librust-prometheus+nightly-dev (= ${binary:Version}),
 librust-prometheus-0+libc-dev (= ${binary:Version}),
 librust-prometheus-0+nightly-dev (= ${binary:Version}),
 librust-prometheus-0.13+libc-dev (= ${binary:Version}),
 librust-prometheus-0.13+nightly-dev (= ${binary:Version}),
 librust-prometheus-0.13.3+libc-dev (= ${binary:Version}),
 librust-prometheus-0.13.3+nightly-dev (= ${binary:Version})
Description: Prometheus instrumentation library for Rust applications - feature "libc" and 1 more
 This metapackage enables feature "libc" for the Rust prometheus crate, by
 pulling in any additional dependencies needed by that feature.
 .
 Additionally, this package also provides the "nightly" feature.

Package: librust-prometheus+process-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-prometheus-dev (= ${binary:Version}),
 librust-prometheus+libc-dev (= ${binary:Version}),
 librust-prometheus+procfs-dev (= ${binary:Version})
Provides:
 librust-prometheus-0+process-dev (= ${binary:Version}),
 librust-prometheus-0.13+process-dev (= ${binary:Version}),
 librust-prometheus-0.13.3+process-dev (= ${binary:Version})
Description: Prometheus instrumentation library for Rust applications - feature "process"
 This metapackage enables feature "process" for the Rust prometheus crate, by
 pulling in any additional dependencies needed by that feature.

Package: librust-prometheus+procfs-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-prometheus-dev (= ${binary:Version}),
 librust-procfs-0.14-dev
Provides:
 librust-prometheus-0+procfs-dev (= ${binary:Version}),
 librust-prometheus-0.13+procfs-dev (= ${binary:Version}),
 librust-prometheus-0.13.3+procfs-dev (= ${binary:Version})
Description: Prometheus instrumentation library for Rust applications - feature "procfs"
 This metapackage enables feature "procfs" for the Rust prometheus crate, by
 pulling in any additional dependencies needed by that feature.

Package: librust-prometheus+protobuf-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-prometheus-dev (= ${binary:Version}),
 librust-protobuf-2+default-dev
Provides:
 librust-prometheus+default-dev (= ${binary:Version}),
 librust-prometheus-0+protobuf-dev (= ${binary:Version}),
 librust-prometheus-0+default-dev (= ${binary:Version}),
 librust-prometheus-0.13+protobuf-dev (= ${binary:Version}),
 librust-prometheus-0.13+default-dev (= ${binary:Version}),
 librust-prometheus-0.13.3+protobuf-dev (= ${binary:Version}),
 librust-prometheus-0.13.3+default-dev (= ${binary:Version})
Description: Prometheus instrumentation library for Rust applications - feature "protobuf" and 1 more
 This metapackage enables feature "protobuf" for the Rust prometheus crate, by
 pulling in any additional dependencies needed by that feature.
 .
 Additionally, this package also provides the "default" feature.

Package: librust-prometheus+push-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-prometheus-dev (= ${binary:Version}),
 librust-prometheus+reqwest-dev (= ${binary:Version}),
 librust-prometheus+libc-dev (= ${binary:Version}),
 librust-prometheus+protobuf-dev (= ${binary:Version})
Provides:
 librust-prometheus-0+push-dev (= ${binary:Version}),
 librust-prometheus-0.13+push-dev (= ${binary:Version}),
 librust-prometheus-0.13.3+push-dev (= ${binary:Version})
Description: Prometheus instrumentation library for Rust applications - feature "push"
 This metapackage enables feature "push" for the Rust prometheus crate, by
 pulling in any additional dependencies needed by that feature.

Package: librust-prometheus+reqwest-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-prometheus-dev (= ${binary:Version}),
 librust-reqwest-0.11+blocking-dev,
 librust-reqwest-0.11+default-dev
Provides:
 librust-prometheus-0+reqwest-dev (= ${binary:Version}),
 librust-prometheus-0.13+reqwest-dev (= ${binary:Version}),
 librust-prometheus-0.13.3+reqwest-dev (= ${binary:Version})
Description: Prometheus instrumentation library for Rust applications - feature "reqwest"
 This metapackage enables feature "reqwest" for the Rust prometheus crate, by
 pulling in any additional dependencies needed by that feature.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test prometheus 0.13.3 --all-targets --all-features
Features: test-name=rust-prometheus:@
Depends: dh-cargo (>= 18), librust-criterion-0.4+default-dev | librust-criterion-0.3+default-dev (>= 0.3.6-~~), librust-getopts-0.2+default-dev, librust-hyper-0.14+default-dev, librust-hyper-0.14+http1-dev, librust-hyper-0.14+server-dev, librust-hyper-0.14+tcp-dev, librust-tokio-1+default-dev, librust-tokio-1+macros-dev, librust-tokio-1+rt-multi-thread-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test prometheus 0.13.3 --all-targets --no-default-features
Features: test-name=librust-prometheus-dev:
Depends: dh-cargo (>= 18), librust-criterion-0.4+default-dev | librust-criterion-0.3+default-dev (>= 0.3.6-~~), librust-getopts-0.2+default-dev, librust-hyper-0.14+default-dev, librust-hyper-0.14+http1-dev, librust-hyper-0.14+server-dev, librust-hyper-0.14+tcp-dev, librust-tokio-1+default-dev, librust-tokio-1+macros-dev, librust-tokio-1+rt-multi-thread-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test prometheus 0.13.3 --all-targets --no-default-features --features nightly
Features: test-name=librust-prometheus+libc-dev:nightly
Depends: dh-cargo (>= 18), librust-criterion-0.4+default-dev | librust-criterion-0.3+default-dev (>= 0.3.6-~~), librust-getopts-0.2+default-dev, librust-hyper-0.14+default-dev, librust-hyper-0.14+http1-dev, librust-hyper-0.14+server-dev, librust-hyper-0.14+tcp-dev, librust-tokio-1+default-dev, librust-tokio-1+macros-dev, librust-tokio-1+rt-multi-thread-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test prometheus 0.13.3 --all-targets --no-default-features --features libc
Features: test-name=librust-prometheus+libc-dev:libc
Depends: dh-cargo (>= 18), librust-criterion-0.4+default-dev | librust-criterion-0.3+default-dev (>= 0.3.6-~~), librust-getopts-0.2+default-dev, librust-hyper-0.14+default-dev, librust-hyper-0.14+http1-dev, librust-hyper-0.14+server-dev, librust-hyper-0.14+tcp-dev, librust-tokio-1+default-dev, librust-tokio-1+macros-dev, librust-tokio-1+rt-multi-thread-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test prometheus 0.13.3 --all-targets --no-default-features --features process
Features: test-name=librust-prometheus+process-dev:process
Depends: dh-cargo (>= 18), librust-criterion-0.4+default-dev | librust-criterion-0.3+default-dev (>= 0.3.6-~~), librust-getopts-0.2+default-dev, librust-hyper-0.14+default-dev, librust-hyper-0.14+http1-dev, librust-hyper-0.14+server-dev, librust-hyper-0.14+tcp-dev, librust-tokio-1+default-dev, librust-tokio-1+macros-dev, librust-tokio-1+rt-multi-thread-dev, @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/prometheus-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/prometheus .*/crates/prometheus/@ANY_VERSION@/download

## rust-prometheus 0.13.4

=== debian/changelog ===
rust-prometheus (0.13.4-5) unstable; urgency=medium

  * Team upload.
  * Package prometheus 0.13.4 from crates.io using debcargo 2.7.11
  * Use portable-atomic to support architectures that lack native 64-bit
    atomics. (Closes: #1118565)

 -- Peter Michael Green <plugwash@debian.org>  Thu, 23 Oct 2025 16:49:30 +0000

rust-prometheus (0.13.4-4) unstable; urgency=medium

  * Team upload.
  * Package prometheus 0.13.4 from crates.io using debcargo 2.7.8
  * Drop dependency on protobuf to work around Bug#1103833:
    - remove protobuf from default features
    - drop 'gen' and 'push' features
  * d/patches:
    - drop drop-gen
    - add drop-protobuf.patch

 -- NoisyCoil <noisycoil@tutanota.com>  Thu, 01 May 2025 00:21:56 +0000

rust-prometheus (0.13.4-3) unstable; urgency=medium

  * Package prometheus 0.13.4 from crates.io using debcargo 2.7.7

  [ NoisyCoil ]
  * Team upload.
  * Package prometheus 0.13.4 from crates.io using debcargo 2.7.6
  * Collapse features
  * Bump procfs dependency to v0.17

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Sun, 16 Feb 2025 16:27:49 +0100

rust-prometheus (0.13.4-2) unstable; urgency=medium

  * Team upload.
  * Package prometheus 0.13.4 from crates.io using debcargo 2.6.1
  * Extend fix for nightly feature on 32-bit to also cover 32-bit architectures
    with 64-bit time.

 -- Peter Michael Green <plugwash@debian.org>  Mon, 16 Sep 2024 23:30:20 +0000

rust-prometheus (0.13.4-1) unstable; urgency=medium

  * Team upload.
  * Package prometheus 0.13.4 from crates.io using debcargo 2.6.1
  * Fix build of "nightly" feature on 32-bit architectures.
  * Stop patching criterion dev-dependency, what upstream wants now matches
    what Debian has.
  * Relax dependencies on reqwest and procfs.

 -- Peter Michael Green <plugwash@debian.org>  Sun, 15 Sep 2024 21:48:13 +0000

=== debian/control ===
Source: rust-prometheus
Section: rust
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo
Build-Depends-Arch: cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-cfg-if-1+default-dev <!nocheck>,
 librust-fnv-1+default-dev <!nocheck>,
 librust-lazy-static-1+default-dev (>= 1.4-~~) <!nocheck>,
 librust-memchr-2+default-dev (>= 2.3-~~) <!nocheck>,
 librust-parking-lot-0.12+default-dev <!nocheck>,
 librust-portable-atomic-1+default-dev (>= 1.4-~~) <!nocheck>,
 librust-thiserror-1+default-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Jelmer Vernooĳ <jelmer@debian.org>
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/prometheus]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/prometheus
Homepage: https://github.com/tikv/rust-prometheus
X-Cargo-Crate: prometheus

Package: librust-prometheus-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-cfg-if-1+default-dev,
 librust-fnv-1+default-dev,
 librust-lazy-static-1+default-dev (>= 1.4-~~),
 librust-libc-0.2+default-dev,
 librust-memchr-2+default-dev (>= 2.3-~~),
 librust-parking-lot-0.12+default-dev,
 librust-portable-atomic-1+default-dev (>= 1.4-~~),
 librust-procfs-dev (<< 0.18-~~),
 librust-procfs-dev (>= 0.14.2-~~),
 librust-reqwest+blocking-dev (<< 0.13-~~),
 librust-reqwest+blocking-dev (>= 0.11.27-~~),
 librust-reqwest+default-dev (<< 0.13-~~),
 librust-reqwest+default-dev (>= 0.11.27-~~),
 librust-thiserror-1+default-dev
Provides:
 librust-prometheus+default-dev (= ${binary:Version}),
 librust-prometheus+libc-dev (= ${binary:Version}),
 librust-prometheus+nightly-dev (= ${binary:Version}),
 librust-prometheus+process-dev (= ${binary:Version}),
 librust-prometheus+procfs-dev (= ${binary:Version}),
 librust-prometheus+reqwest-dev (= ${binary:Version}),
 librust-prometheus-0-dev (= ${binary:Version}),
 librust-prometheus-0+default-dev (= ${binary:Version}),
 librust-prometheus-0+libc-dev (= ${binary:Version}),
 librust-prometheus-0+nightly-dev (= ${binary:Version}),
 librust-prometheus-0+process-dev (= ${binary:Version}),
 librust-prometheus-0+procfs-dev (= ${binary:Version}),
 librust-prometheus-0+reqwest-dev (= ${binary:Version}),
 librust-prometheus-0.13-dev (= ${binary:Version}),
 librust-prometheus-0.13+default-dev (= ${binary:Version}),
 librust-prometheus-0.13+libc-dev (= ${binary:Version}),
 librust-prometheus-0.13+nightly-dev (= ${binary:Version}),
 librust-prometheus-0.13+process-dev (= ${binary:Version}),
 librust-prometheus-0.13+procfs-dev (= ${binary:Version}),
 librust-prometheus-0.13+reqwest-dev (= ${binary:Version}),
 librust-prometheus-0.13.4-dev (= ${binary:Version}),
 librust-prometheus-0.13.4+default-dev (= ${binary:Version}),
 librust-prometheus-0.13.4+libc-dev (= ${binary:Version}),
 librust-prometheus-0.13.4+nightly-dev (= ${binary:Version}),
 librust-prometheus-0.13.4+process-dev (= ${binary:Version}),
 librust-prometheus-0.13.4+procfs-dev (= ${binary:Version}),
 librust-prometheus-0.13.4+reqwest-dev (= ${binary:Version})
Description: Prometheus instrumentation library for Rust applications - Rust source code
 Source code for Debianized Rust crate "prometheus"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test prometheus 0.13.4 --all-targets --all-features
Features: test-name=rust-prometheus:@
Depends: dh-cargo (>= 31), rustc, librust-criterion-0.5+default-dev, librust-getopts-0.2+default-dev, librust-hyper-0.14+default-dev, librust-hyper-0.14+http1-dev, librust-hyper-0.14+server-dev, librust-hyper-0.14+tcp-dev, librust-tokio-1+default-dev, librust-tokio-1+macros-dev, librust-tokio-1+rt-multi-thread-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test prometheus 0.13.4 --all-targets
Features: test-name=librust-prometheus-dev:default
Depends: dh-cargo (>= 31), rustc, librust-criterion-0.5+default-dev, librust-getopts-0.2+default-dev, librust-hyper-0.14+default-dev, librust-hyper-0.14+http1-dev, librust-hyper-0.14+server-dev, librust-hyper-0.14+tcp-dev, librust-tokio-1+default-dev, librust-tokio-1+macros-dev, librust-tokio-1+rt-multi-thread-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test prometheus 0.13.4 --all-targets --no-default-features --features libc
Features: test-name=librust-prometheus-dev:libc
Depends: dh-cargo (>= 31), rustc, librust-criterion-0.5+default-dev, librust-getopts-0.2+default-dev, librust-hyper-0.14+default-dev, librust-hyper-0.14+http1-dev, librust-hyper-0.14+server-dev, librust-hyper-0.14+tcp-dev, librust-tokio-1+default-dev, librust-tokio-1+macros-dev, librust-tokio-1+rt-multi-thread-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test prometheus 0.13.4 --all-targets --no-default-features --features nightly
Features: test-name=librust-prometheus-dev:nightly
Depends: dh-cargo (>= 31), rustc, librust-criterion-0.5+default-dev, librust-getopts-0.2+default-dev, librust-hyper-0.14+default-dev, librust-hyper-0.14+http1-dev, librust-hyper-0.14+server-dev, librust-hyper-0.14+tcp-dev, librust-tokio-1+default-dev, librust-tokio-1+macros-dev, librust-tokio-1+rt-multi-thread-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test prometheus 0.13.4 --all-targets --no-default-features --features process
Features: test-name=librust-prometheus-dev:process
Depends: dh-cargo (>= 31), rustc, librust-criterion-0.5+default-dev, librust-getopts-0.2+default-dev, librust-hyper-0.14+default-dev, librust-hyper-0.14+http1-dev, librust-hyper-0.14+server-dev, librust-hyper-0.14+tcp-dev, librust-tokio-1+default-dev, librust-tokio-1+macros-dev, librust-tokio-1+rt-multi-thread-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test prometheus 0.13.4 --all-targets --no-default-features --features procfs
Features: test-name=librust-prometheus-dev:procfs

=== debian/watch ===
Version: 5

Source: https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/prometheus
Matching-Pattern:  .*/crates/prometheus/@ANY_VERSION@/download
Filenamemangle: s/.*\/(.*)\/download/prometheus-$1\.tar\.gz/g
Uversionmangle: s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/
